at.chipkarte.client.sts.soap

## Class RequestSamlAssertionReq

- Object
- - at.chipkarte.client.sts.soap.RequestSamlAssertionReq

-     public class RequestSamlAssertionReq
      extends Object

  Enthält die Eingangsdaten zum Aufruf der Funktion `requestSamlAssertion`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestSamlAssertionReq()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResponseURL()` Anhand dieser URL wird geprueft ob der Requester dem e-card System bekannt ist.
    `String` | `getTicketSubject()` Das Subject ist eine URL und beinhaltet den Ticketnamen und die fuer die Ausstellung des jeweiligen Tickets benoetigetn Parameter.
    `void` | `setResponseURL(String responseURL)`
    `void` | `setTicketSubject(String ticketSubject)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestSamlAssertionReq

          public RequestSamlAssertionReq()

  - ### Method Detail

    - #### getTicketSubject

          public String getTicketSubject()

      Das Subject ist eine URL und beinhaltet den Ticketnamen und die fuer die Ausstellung des jeweiligen Tickets benoetigetn Parameter.
      Format: http://ns.svc.co.at/sts/[TicketName]/[TicketInfo]?VPNR=[VPNR]
      Unterstützte Ticketsubjects siehe Zusatzdokument "Ticketinformation".

    - #### setTicketSubject

          public void setTicketSubject(String ticketSubject)

    - #### getResponseURL

          public String getResponseURL()

      Anhand dieser URL wird geprueft ob der Requester dem e-card System bekannt ist.
      Unbekannten Requestern werden keine Tickets ausgestellt. Ist der Requester bekannt wird die ResponseURL als AudienceRestriction des ausgestellten Tickets uebernommen und das Ticket an diese URL versendet. Format: maximal 1024 Zeichen, gueltige URL.

    - #### setResponseURL

          public void setResponseURL(String responseURL)